%define name bpalogin
%define version 2.0.2
%define release 1mdk

Summary: Client for Telstra's Big Pond Advance cable connections
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://bpalogin.sourceforge.net/download/%{name}-%{version}.tar.bz2
License: GPL
Group: System/Servers
Url: http://bpalogin.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Prereq: rpm-helper

%description
BPALogin is a replacement for the Telstra supplied client for
connecting and using Telstra's Big Pond Advance powered by Cable. The
current implementation was written by Shane Hyde, but is now being
maintained by William Rose and others based at SourceForge.

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%post
%_post_service %{name}

%preun
%_preun_service  %{name}

%files
%defattr(-,root,root)
%doc COPYING CREDITS INSTALL README 
%config(noreplace) %{_sysconfdir}/%{name}.conf
%attr(755,root,root) %{_initrddir}/%{name}
%{_sbindir}/%{name}

%changelog
* Mon Jan 31 2005 Olivier Blin <blino@mandrake.org> 2.0.2-1mdk
- initial Mandrakelinux release
